Zum Hauptinhalt springen
POST
/
cms
/
v3
/
hubdb
/
tables
/
{tableIdOrName}
/
rows
/
batch
/
read
Reihe von Zeilen abrufen
curl --request POST \
  --url https://api.hubapi.com/cms/v3/hubdb/tables/{tableIdOrName}/rows/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "inputs": [
    "<string>"
  ]
}
'
{
  "completedAt": "2023-11-07T05:31:56Z",
  "results": [
    {
      "childTableId": "<string>",
      "createdAt": "2023-11-07T05:31:56Z",
      "id": "<string>",
      "name": "<string>",
      "path": "<string>",
      "publishedAt": "2023-11-07T05:31:56Z",
      "updatedAt": "2023-11-07T05:31:56Z",
      "values": {}
    }
  ],
  "startedAt": "2023-11-07T05:31:56Z",
  "status": "CANCELED",
  "links": {},
  "requestedAt": "2023-11-07T05:31:56Z"
}

Unterstützte Produkte

Erfordert eines der folgenden Produkte oder höher.
Marketing HubMarketing Hub -Professional
Sales HubSales Hub -Kostenlos
Service HubService Hub -Kostenlos
Content HubContent Hub -Professional

Autorisierungen

Authorization
string
header
erforderlich

The access token received from the authorization server in the OAuth 2.0 flow.

Pfadparameter

tableIdOrName
string
erforderlich

Die ID oder der Name der HubDB-Tabelle.

Body

application/json
inputs
string[]
erforderlich

Antwort

successful operation

completedAt
string<date-time>
erforderlich

Der Zeitstempel, der angibt, wann die Batch-Verarbeitung abgeschlossen wurde.

results
object[]
erforderlich
startedAt
string<date-time>
erforderlich

Der Zeitstempel, der angibt, wann die Batch-Verarbeitung begonnen hat.

status
enum<string>
erforderlich

Der aktuelle Status des Batch-Vorgangs mit den möglichen Werten: CANCELED, COMPLETE, PENDING, PROCESSING.

Verfügbare Optionen:
CANCELED,
COMPLETE,
PENDING,
PROCESSING

Eine Sammlung von zugehörigen Links, die der Batch-Antwort zugeordnet sind.

requestedAt
string<date-time>

Der Zeitstempel, der angibt, wann die Batch-Anfrage erfolgt ist.

Last modified on March 24, 2026